package com.sf.payment.domain;

import lombok.Data;

import java.util.List;

/**
 * 功能描述:
 * 已购订阅相关状态信息
 * @author a_kun
 * @date 2024/4/16 15:29
 */
@Data
public class SubGroupStatusPayload {

    /**
     * 应用ID。
     */
    private String applicationId;

    /**
     * 应用包名。
     */
    private String packageName;

    /**
     * 订阅组ID。
     */
    private String subGroupId;

    /**
     * 订阅组中最后生效的
     * 订阅状态
     * SubscriptionStatus，
     * 比如A切换B，B切换C，
     * 此处是C的订阅状态。
     */
    private SubscriptionStatus lastSubscriptionStatus;

    /**
     * 订阅组最近生效的
     * 历史订阅状态
     * SubscriptionStatus的列表，比如A切换B，B切换C，这里包含C，B，A三个订阅状态信息。
     */
    private List<SubscriptionStatus> historySubscriptionStatusList;


}
