package com.sf.service.gateway.enums;

/**
 * 支持的请求协议
 * 目前支持 HTTP
 *
 * @author zoukun
 */
public enum RequestProtocol
{
    HTTP("HTTP", "HTTP"),
    ;

    private final String code;
    private final String info;

    RequestProtocol(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public static RequestProtocol getByCode(String code){
        for (RequestProtocol value : RequestProtocol.values()) {
            if (value.code.equals(code)){
                return value;
            }
        }
        return null;
    }

}
