package com.sf.vertx.enums;

/**
 * 匹配方式
 *
 * @author zoukun
 */
public enum MatchType
{
    EQ("EQ", "等于"),
    NOT_EQ("NOT_EQ", "不等于"),
    GT("GT", "大于"),
    GE("GE", "大于或等于"),
    LT("LT", "小于"),
    LE("LE", "小于或等于"),
    IN("IN", "包含"),
    NOT_IN("NOT_IN", "不包含"),
    IS_NULL("IS_NULL", "等于空"),
    NOT_NULL("NOT_NULL", "不等于空"),
    ;

    private final String code;
    private final String info;

    MatchType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public static MatchType getByCode(String code){
        for (MatchType value : MatchType.values()) {
            if (value.code.equalsIgnoreCase(code)){
                return value;
            }
        }
        return null;
    }
}
